## org.eclipse.m2m.atl.engine.vm.nativelib
Class ASMSet

    java.lang.Object
      org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
          org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
              org.eclipse.m2m.atl.engine.vm.nativelib.ASMCollection
                  org.eclipse.m2m.atl.engine.vm.nativelib.ASMSet

    public class ASMSet

extends ASMCollection

Field Summary
`static ASMOclType` `myType`

Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
`nativeImpl`

Constructor Summary
`ASMSet()`
`ASMSet(ASMSet init)`
`ASMSet(java.util.Collection init)`

Method Summary
`void` `add(ASMOclAny o)`
`static ASMSet` `asSet(StackFrame frame, ASMSet self)`
`java.util.Collection` `collection()`
`boolean` `equals(java.lang.Object o)`
`static ASMSet` `excluding(StackFrame frame, ASMSet self, ASMOclAny o)`
`static ASMSet` `flatten(StackFrame frame, ASMSet self)`
`int` `hashCode()`
`static ASMSet` `including(StackFrame frame, ASMSet self, ASMOclAny o)`
`static ASMSet` `intersection(StackFrame frame, ASMSet self, ASMCollection other)`
`java.util.Iterator` `iterator()`
`static ASMSet` `operatorMinus(StackFrame frame, ASMSet self, ASMSet other)`
`static ASMSet` `symetricDifference(StackFrame frame, ASMSet self, ASMSet other)`
`java.lang.String` `toString()`
`static ASMSet` `union(StackFrame frame, ASMSet self, ASMCollection other)`

Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMCollection
`asBag, asOrderedSet, asSequence, asSet, count, excludes, excludesAll, get, includes, includesAll, isEmpty, notEmpty, size, size, sum`

Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
`asBag, asSequence, asSet, check, debug, findOperation, findOperation, getHelper, getNamedTargetFromSource, getOclAnyType, getType, invoke, invoke, invokeSuper, isHelper, oclIsKindOf, oclIsTypeOf, oclIsUndefined, oclType, operatorEQ, operatorNE, output, refGetValue, refImmediateComposite, refImmediateComposite, refInvokeOperation, refSetValue, refUnsetValue, set, setType, toString, unset`

Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
`getNativeImpl`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### myType

    public static ASMOclType myType

Constructor Detail

### ASMSet

    public ASMSet()

### ASMSet

    public ASMSet(ASMSet init)

### ASMSet

    public ASMSet(java.util.Collection init)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### add

    public void add(ASMOclAny o)

  Specified by:
    `add` in class `ASMCollection`

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in class `ASMCollection`

### collection

    public java.util.Collection collection()

  Specified by:
    `collection` in class `ASMCollection`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### union

    public static ASMSet union(StackFrame frame,
                               ASMSet self,
                               ASMCollection other)

### intersection

    public static ASMSet intersection(StackFrame frame,
                                      ASMSet self,
                                      ASMCollection other)

### operatorMinus

    public static ASMSet operatorMinus(StackFrame frame,
                                       ASMSet self,
                                       ASMSet other)

### including

    public static ASMSet including(StackFrame frame,
                                   ASMSet self,
                                   ASMOclAny o)

### excluding

    public static ASMSet excluding(StackFrame frame,
                                   ASMSet self,
                                   ASMOclAny o)

### symetricDifference

    public static ASMSet symetricDifference(StackFrame frame,
                                            ASMSet self,
                                            ASMSet other)

### flatten

    public static ASMSet flatten(StackFrame frame,
                                 ASMSet self)

### asSet

    public static ASMSet asSet(StackFrame frame,
                               ASMSet self)

Copyright 2007 IBM Corporation and others. All Rights Reserved.